Update a soft FK edge
curl --request PATCH \
--url https://api.example.com/utils/context-packs/{name}/soft-fk-edges/{edge_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"confidence": 0.5
}
'import requests
url = "https://api.example.com/utils/context-packs/{name}/soft-fk-edges/{edge_id}"
payload = {
"description": "<string>",
"confidence": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', confidence: 0.5})
};
fetch('https://api.example.com/utils/context-packs/{name}/soft-fk-edges/{edge_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"context_pack_id": "<string>",
"from_table": "<string>",
"from_column": "<string>",
"to_table": "<string>",
"to_column": "<string>",
"description": "<string>",
"source": "manual",
"confidence": 123,
"status": "active",
"deprecated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}soft-fk-edges
Update a soft FK edge
Update a soft FK edge’s description, confidence, or status.
PATCH
/
utils
/
context-packs
/
{name}
/
soft-fk-edges
/
{edge_id}
Update a soft FK edge
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
Origin of a soft FK edge.
Available options:
manual, ingestion, inferred Lifecycle status of a soft FK edge.
Available options:
active, deprecated, deleted Was this page helpful?

